<!DOCTYPE html>
<html>
	<head>
		<title>HTML Forms</title>
	</head>

	<body>

		<h2>HTML Forms</h2>

		<form>

			<label for="full_name">Full Name:</label>
			<input type="text" id="full_name" name="fullName" required autocomplete>

			<br>
			<label for="">Birth Date:</label>
			<input type="date" id=birth_date required>
			
			<br>
			<label for="age">Age:</label>
			<input type="number" id=age required>

			<br>
			<label for="gender">Gender:</label>
			<select id="gender" name="gender">
				<option value="Male">Male</option>
				<option value="Female">Female</option>
			</select>

			<br>
			<label for="notes">Notes:</label>
			<textarea name="notes" id="notes" rows="5" cols="20" style="resize:none;"></textarea>


			<br>
			<label>New User:</label>

			<br>
			<input type="radio" id="user-type1" name="new_user" value="yes">
			<label>Yes</label>
			<br>
			<input type="radio" id="user-type2" name="new_user" value="no">
			<label>No</label>
			<br>

			<br>
			<label>Role:</label>
			<br>
			<input type="checkbox" name="role1" id="role1" value="developer">
			<label for="role1">Developer</label>
			

			<br>
			<input type="checkbox" name="role2" id="role2" value="student">
			<label for="role2">Student</label>
			

			<br>
			<input type="checkbox" name="role3" id="role3" value="manager">
			<label for="role1">Manager</label>
			<br>

			<br>
			<button type="submit">Submit</button>
			<button type="reset">Reset</button>

		</form>

		<header>
			<h1>HTML Tables and Forms</h1>
			<nav></nav>
		</header>

		<main>
			<h1>HTML Entities</h1>
			<section></section>

		</main>

		<footer>
			<h1>HTML Forms</h1>
		</footer>

	</body>
	
</html>